<?php
	exit();
include('include/entete.php');
include('config/config.inc.php');
include('config/lib.inc.php');

	$maCleDeCryptage = getCleDeCryptage();	
	$separateur=';';
	$file="190123_import.csv";
	$page="";
	if (file_exists($file)){         // Si le fichier existe, on l'ouvre
		$fp = fopen($file,  "r");
	}else{                                   // sinon error
		$page.="Fichier introuvable <br>";
	}
	$tab=array();

	$page.='<table>';
	$cpt=0;

	while (!feof($fp)){  // On parcours le fichier

		$ligne = fgets($fp,4096);  // On se déplace d'une ligne
		$liste = explode($separateur,$ligne);  // Champs séparés par $separateur
		if(!isset($liste[8])) echo '<br><br>###########################################################'.$cpt.'#############################################################<br><br><table><tr><td>'.$liste[0].'</td><td>'.$liste[1].'</td><td>'.$liste[2].'</td><td>'.$liste[3].'</td><td>'.$liste[4].'</td><td>'.$liste[5].'</td><td>'.$liste[6].'</td><td>'.$liste[7].'</td><td>'.$liste[8].'</td></tr></table><br><br>';
		else{
			//$page.='<table><tr><td>'.$liste[0].'</td><td>'.$liste[1].'</td><td>'.$liste[2].'</td><td>'.$liste[3].'</td><td>'.$liste[4].'</td><td>'.$liste[5].'</td><td>'.$liste[6].'</td><td>'.$liste[7].'</td><td>'.$liste[8].'</td></tr></table>';
			$academie=$nom_eta=$adresse1=$adresse2=$cp=$ville=$nom_ref=$tel_ref=$email_ref=$tmppsw="";
			$academie=crypter($maCleDeCryptage,iconv("ISO-8859-1//TRANSLIT", "UTF-8",$liste[0]));		
			$nom_eta=crypter($maCleDeCryptage,iconv("ISO-8859-1//TRANSLIT", "UTF-8",$liste[1]));		
			$adresse1=crypter($maCleDeCryptage,iconv("ISO-8859-1//TRANSLIT", "UTF-8",$liste[2]));		
			$adresse2=crypter($maCleDeCryptage,iconv("ISO-8859-1//TRANSLIT", "UTF-8",$liste[3]));		
			$cp=crypter($maCleDeCryptage,iconv("ISO-8859-1//TRANSLIT", "UTF-8",$liste[4]));		
			$ville=crypter($maCleDeCryptage,iconv("ISO-8859-1//TRANSLIT", "UTF-8",$liste[5]));		
			$nom_ref=crypter($maCleDeCryptage,iconv("ISO-8859-1//TRANSLIT", "UTF-8",$liste[6]));		
			$tel_ref=crypter($maCleDeCryptage,iconv("ISO-8859-1//TRANSLIT", "UTF-8",$liste[7]));		
			$email_ref=crypter($maCleDeCryptage,iconv("ISO-8859-1//TRANSLIT", "UTF-8",$liste[8]));	
			$tmppsw=Password(8,0);	
			$tmppsw='Deciday18';

			$query='insert into eta (academie,nom_eta,adresse1,adresse2,cp,ville,nom_ref,tel_ref,email_ref,mdp_ref) values (:academie,:nom_eta,:adresse1,:adresse2,:cp,:ville,:nom_ref,:tel_ref,:email_ref,:mdp_ref)';
			$db = connect_base();
			$queryRequest = $db->prepare( $query );
			$queryRequest->bindParam( ':academie', $academie, PDO::PARAM_STR );
			$queryRequest->bindParam( ':nom_eta', $nom_eta, PDO::PARAM_STR );
			$queryRequest->bindParam( ':adresse1', $adresse1, PDO::PARAM_STR );
			$queryRequest->bindParam( ':adresse2', $adresse2, PDO::PARAM_STR );
			$queryRequest->bindParam( ':cp', $cp, PDO::PARAM_STR );
			$queryRequest->bindParam( ':ville', $ville, PDO::PARAM_STR );
			$queryRequest->bindParam( ':nom_ref', $nom_ref, PDO::PARAM_STR );
			$queryRequest->bindParam( ':tel_ref', $tel_ref, PDO::PARAM_STR );
			$queryRequest->bindParam( ':email_ref', $email_ref, PDO::PARAM_STR );
			$queryRequest->bindParam( ':mdp_ref', md5($tmppsw), PDO::PARAM_STR );
			$queryRequest->execute();




			$tab[$cpt]['login']=trim($liste[8]);
			$tab[$cpt]['mdp']=$tmppsw;

		}
		$cpt++;
	}
	$page.='</table>';


	$tmp="<table>";
	foreach($tab as $cle=>$val) $tmp.="<tr><td>".$val['login']."</td><td>".$val['mdp']."</td></tr>";
	$tmp.="</table>";

	$page.=$tmp;

echo $page;

?>